import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = d3.select('svg');
//svg.style('background-color', 'green');
//created by rollup

const height = +svg.attr('height');
const makeFruit = type => ({ type });
let fruits = range(5)
  .map(() => makeFruit('apple'));

const render = () => {
  fruitBowl(svg, {
    fruits, height
  })
};


render();

//eat an apple

setTimeout(() => {
  fruits.pop()
	render();
}, 1000);

//replace an apple with a lemon

setTimeout(() => {
  fruits[2].type = 'lemon';
	render();
}, 2000);

setTimeout(() => {
  fruits = fruits.filter((d,i) => i != 1) 
	render();
}, 3000);
